%define pkg_name digest-sha1
%define pkg_version 2.10
%define rpm_version 2.10
%define rpm_release 1na
%define filelist %{_tmppath}/%{pkg_name}-%{version}-%{release}.filelist
%define make_test %{?_without_test:0}%{!?_without_test:1}
%define perl_vendorarch %(perl -MConfig -le 'print $Config{sitearchexp}')

Summary:	NIST SHA message digest algorithm
Version:	%{rpm_version}
Name:		perl-%{pkg_name}
%if "%{pkg_version}" == "%{rpm_version}"
Release:	%{rpm_release}
%else
Release:	%{rpm_release}.%{pkg_version}
%endif
Epoch:		0
License:	Artistic
Group:		Trustix Official
URL:		http://search.cpan.org/search?mode=module;query=%{pkg_name}
Source0:	ftp://ftp.cpan.org/authors/id/G/GA/GAAS/Digest-SHA1-%{pkg_version}.tar.gz

#Requires: %(perl -MConfig -le '$out = $Config{useithreads} ? "" : "OUT"; print "perl(:WITH${out}_ITHREADS)"')
#Requires: %(perl -MConfig -le '$out = $Config{usethreads} ? "" : "OUT"; print "perl(:WITH${out}_THREADS)"')
#Requires: %(perl -MConfig -le '$out = $Config{uselargefiles} ? "" : "OUT"; print "perl(:WITH${out}_LARGEFILES)"')
Requires: %(perl -MConfig -le 'print $Config{sitearchexp}')
Requires: %(perl -MConfig -le 'print $Config{sitelibexp}')

BuildPrereq: perl(ExtUtils::MakeMaker)

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The "Digest::SHA1" module allows you to use the NIST SHA-1 message digest
algorithm from within Perl programs. The algorithm takes as input a message of
arbitrary length and produces as output a 160-bit "fingerprint" or "message
digest" of the input.

%prep
%setup -n Digest-SHA1-%{version}

%build
export PERL_MM_USE_DEFAULT=1
export CFLAGS="$RPM_OPT_FLAGS"
export CCFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=site
make %{?_smp_mflags}
%if %{?make_test}
make test
%endif

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT%{_prefix}

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

# remove special files
find $RPM_BUILD_ROOT -name perllocal.pod -o -name .packlist -o -name "*.bs" \
		| xargs -i rm -f {}

# no empty directories
find $RPM_BUILD_ROOT -depth -type d -a -empty -exec rmdir {} \;

# build files list
find $RPM_BUILD_ROOT -type f -print \
	| sed "s@^$RPM_BUILD_ROOT@@g" > %{filelist}
find $RPM_BUILD_ROOT%{perl_vendorarch} -type d -print \
	| sed "s@^$RPM_BUILD_ROOT@%%dir @g" \
	| grep -v '^%dir %{perl_vendorarch}$' \
	| grep -v '/auto$' >> %{filelist}
if [ -z %{filelist} ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

# mark POD files as documentation
perl -pi -e 's/^(.+?\.pod)$/%%doc $1/' %{filelist}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{filelist}


%files -f %{filelist}
%defattr(-,root,root)
%doc Changes fip180-1.gif fip180-1.html README

%changelog
